#include "DatabaseHandler/DatabaseHandler.h"
#include "DatabaseHandler/Source/v2/DataClasses/Fixture.h"
#include "DatabaseHandlerTests/InMemoryDbFixture.h"

TEST_F(InMemoryDbFixture, FixtureTests)
{
	using namespace database_handler;
	using namespace database_handler::v2;
	using namespace database_handler::common;
	
	Fixture fixture1;
	fixture1.sm_id = 1;
	fixture1.sm_league_id = 2;
	fixture1.sm_season_id = 3;
	fixture1.sm_stage_id = 4;
	fixture1.sm_round_id = 5;
	fixture1.sm_group_id_opt = 6;
	fixture1.sm_aggregate_id_opt = 7;
	fixture1.sm_venue_id_opt = 8;
	fixture1.sm_referee_id_opt = 9;
	fixture1.sm_localteam_id = 10;
	fixture1.sm_visitorteam_id = 11;
	fixture1.sm_winner_team_id_opt = 12;
	fixture1.weather_code_opt = STR("weather_code_opt13");
	fixture1.weather_type_opt = STR("weather_type_opt14");
	fixture1.weather_icon_opt = STR("weather_icon_opt15");
	fixture1.weather_temp_cel_opt = 16.17;
	fixture1.weather_temp_fah_opt = 18.19;
	fixture1.weather_clouds_opt = STR("weather_clouds_opt20");
	fixture1.weather_humidity_opt = STR("weather_humidity_opt21");
	fixture1.weather_pressure_opt = 22;
	fixture1.weather_wind_speed_opt = STR("weather_wind_speed_opt23");
	fixture1.weather_wind_degree_opt = 24;
	fixture1.weather_coordinates_lat_opt = 25.26;
	fixture1.weather_coordinates_lon_opt = 27.28;
	fixture1.weather_updated_at_opt = STR("weather_updated_at_opt29");
	fixture1.commentaries = false;
	fixture1.attendance_opt = 31;
	fixture1.pitch_opt = STR("pitch_opt32");
	fixture1.details_opt = STR("details_opt33");
	fixture1.neutral_venue = false;
	fixture1.winning_odds_calculated = true;
	fixture1.localteam_formation_opt = STR("localteam_formation_opt36");
	fixture1.visitorteam_formation_opt = STR("visitorteam_formation_opt37");
	fixture1.localteam_score = 38;
	fixture1.visitorteam_score = 39;
	fixture1.localteam_pen_score_opt = 40;
	fixture1.visitorteam_pen_score_opt = 41;
	fixture1.ht_score_opt = STR("ht_score_opt42");
	fixture1.ft_score = STR("ft_score43");
	fixture1.et_score_opt = STR("et_score_opt44");
	fixture1.ps_score_opt = STR("ps_score_opt45");
	fixture1.status = STR("status46");
	fixture1.date_time = utils::date_and_time::DateTime::FromSQLiteDateFormat("2047-01-19 05:52:53");
	fixture1.date = STR("date53");
	fixture1.time = STR("time54");
	fixture1.timestamp = 55;
	fixture1.timezone = STR("timezone56");
	fixture1.minute = 57;
	fixture1.second_opt = 58;
	fixture1.added_time_opt = 59;
	fixture1.extra_minute_opt = 60;
	fixture1.injury_time_opt = 61;
	fixture1.sm_localteam_coach_id_opt = 62;
	fixture1.sm_visitorteam_coach_id_opt = 63;
	fixture1.localteam_position_opt = 64;
	fixture1.visitorteam_position_opt = 65;
	fixture1.sm_first_assistant_id_opt = 66;
	fixture1.sm_second_assistant_id_opt = 67;
	fixture1.sm_fourth_official_id_opt = 68;
	fixture1.leg = STR("leg69");
	fixture1.localteam_color_opt = STR("localteam_color_opt70");
	fixture1.localteam_kit_color_opt = STR("localteam_kit_color_opt71");
	fixture1.visitorteam_color_opt = STR("visitorteam_color_opt72");
	fixture1.visitorteam_kit_color_opt = STR("visitorteam_kit_color_opt73");
	fixture1.deleted = false;
	
	Fixture fixture2;
	
	Fixture fixture3;
	fixture3.sm_id = 75;
	fixture3.sm_league_id = 76;
	fixture3.sm_season_id = 77;
	fixture3.sm_stage_id = 78;
	fixture3.sm_round_id = 79;
	fixture3.sm_group_id_opt = 80;
	fixture3.sm_aggregate_id_opt = 81;
	fixture3.sm_venue_id_opt = 82;
	fixture3.sm_referee_id_opt = 83;
	fixture3.sm_localteam_id = 84;
	fixture3.sm_visitorteam_id = 85;
	fixture3.sm_winner_team_id_opt = 86;
	fixture3.weather_code_opt = STR("weather_code_opt87");
	fixture3.weather_type_opt = STR("weather_type_opt88");
	fixture3.weather_icon_opt = STR("weather_icon_opt89");
	fixture3.weather_temp_cel_opt = 90.91;
	fixture3.weather_temp_fah_opt = 92.93;
	fixture3.weather_clouds_opt = STR("weather_clouds_opt94");
	fixture3.weather_humidity_opt = STR("weather_humidity_opt95");
	fixture3.weather_pressure_opt = 96;
	fixture3.weather_wind_speed_opt = STR("weather_wind_speed_opt97");
	fixture3.weather_wind_degree_opt = 98;
	fixture3.weather_coordinates_lat_opt = 99.100;
	fixture3.weather_coordinates_lon_opt = 101.102;
	fixture3.weather_updated_at_opt = STR("weather_updated_at_opt103");
	fixture3.commentaries = false;
	fixture3.attendance_opt = 105;
	fixture3.pitch_opt = STR("pitch_opt106");
	fixture3.details_opt = STR("details_opt107");
	fixture3.neutral_venue = false;
	fixture3.winning_odds_calculated = true;
	fixture3.localteam_formation_opt = STR("localteam_formation_opt110");
	fixture3.visitorteam_formation_opt = STR("visitorteam_formation_opt111");
	fixture3.localteam_score = 112;
	fixture3.visitorteam_score = 113;
	fixture3.localteam_pen_score_opt = 114;
	fixture3.visitorteam_pen_score_opt = 115;
	fixture3.ht_score_opt = STR("ht_score_opt116");
	fixture3.ft_score = STR("ft_score117");
	fixture3.et_score_opt = STR("et_score_opt118");
	fixture3.ps_score_opt = STR("ps_score_opt119");
	fixture3.status = STR("status120");
	fixture3.date_time = utils::date_and_time::DateTime::FromSQLiteDateFormat("2121-03-31 10:08:09");
	fixture3.date = STR("date127");
	fixture3.time = STR("time128");
	fixture3.timestamp = 129;
	fixture3.timezone = STR("timezone130");
	fixture3.minute = 131;
	fixture3.second_opt = 132;
	fixture3.added_time_opt = 133;
	fixture3.extra_minute_opt = 134;
	fixture3.injury_time_opt = 135;
	fixture3.sm_localteam_coach_id_opt = 136;
	fixture3.sm_visitorteam_coach_id_opt = 137;
	fixture3.localteam_position_opt = 138;
	fixture3.visitorteam_position_opt = 139;
	fixture3.sm_first_assistant_id_opt = 140;
	fixture3.sm_second_assistant_id_opt = 141;
	fixture3.sm_fourth_official_id_opt = 142;
	fixture3.leg = STR("leg143");
	fixture3.localteam_color_opt = STR("localteam_color_opt144");
	fixture3.localteam_kit_color_opt = STR("localteam_kit_color_opt145");
	fixture3.visitorteam_color_opt = STR("visitorteam_color_opt146");
	fixture3.visitorteam_kit_color_opt = STR("visitorteam_kit_color_opt147");
	fixture3.deleted = false;
	
	std::vector<UpFixture> oneFixture;
	oneFixture.emplace_back(std::make_unique<Fixture>(fixture1));

	std::vector<UpFixture> twofixtures;
	twofixtures.emplace_back(std::make_unique<Fixture>(fixture1));
	twofixtures.emplace_back(std::make_unique<Fixture>(fixture2));

	std::vector<UpFixture> threefixtures;
	threefixtures.emplace_back(std::make_unique<Fixture>(fixture1));
	threefixtures.emplace_back(std::make_unique<Fixture>(fixture2));
	threefixtures.emplace_back(std::make_unique<Fixture>(fixture3));

	EXPECT_EQ(1, oneFixture.size());
	EXPECT_EQ(2, twofixtures.size());
	EXPECT_EQ(3, threefixtures.size());

	ASSERT_NO_THROW(db.exec(CREATE_TABLE_FIXTURES));
	ASSERT_NO_THROW(InsertOr(OnConflict::Ignore, db, oneFixture));
	ASSERT_EQ(1, QueryCount<Fixture>(db));
	{
		auto fixtures = QueryAll<Fixture>(db);
		EXPECT_EQ(1, fixtures.size());

		EXPECT_NE(0, fixtures[0]->id);
		EXPECT_EQ(fixture1.sm_id, fixtures[0]->sm_id);
		EXPECT_EQ(fixture1.sm_league_id, fixtures[0]->sm_league_id);
		EXPECT_EQ(fixture1.sm_season_id, fixtures[0]->sm_season_id);
		EXPECT_EQ(fixture1.sm_stage_id, fixtures[0]->sm_stage_id);
		EXPECT_EQ(fixture1.sm_round_id, fixtures[0]->sm_round_id);
		EXPECT_EQ(fixture1.sm_group_id_opt, fixtures[0]->sm_group_id_opt);
		EXPECT_EQ(fixture1.sm_aggregate_id_opt, fixtures[0]->sm_aggregate_id_opt);
		EXPECT_EQ(fixture1.sm_venue_id_opt, fixtures[0]->sm_venue_id_opt);
		EXPECT_EQ(fixture1.sm_referee_id_opt, fixtures[0]->sm_referee_id_opt);
		EXPECT_EQ(fixture1.sm_localteam_id, fixtures[0]->sm_localteam_id);
		EXPECT_EQ(fixture1.sm_visitorteam_id, fixtures[0]->sm_visitorteam_id);
		EXPECT_EQ(fixture1.sm_winner_team_id_opt, fixtures[0]->sm_winner_team_id_opt);
		EXPECT_EQ(fixture1.weather_code_opt, fixtures[0]->weather_code_opt);
		EXPECT_EQ(fixture1.weather_type_opt, fixtures[0]->weather_type_opt);
		EXPECT_EQ(fixture1.weather_icon_opt, fixtures[0]->weather_icon_opt);
		EXPECT_EQ(fixture1.weather_temp_cel_opt, fixtures[0]->weather_temp_cel_opt);
		EXPECT_EQ(fixture1.weather_temp_fah_opt, fixtures[0]->weather_temp_fah_opt);
		EXPECT_EQ(fixture1.weather_clouds_opt, fixtures[0]->weather_clouds_opt);
		EXPECT_EQ(fixture1.weather_humidity_opt, fixtures[0]->weather_humidity_opt);
		EXPECT_EQ(fixture1.weather_pressure_opt, fixtures[0]->weather_pressure_opt);
		EXPECT_EQ(fixture1.weather_wind_speed_opt, fixtures[0]->weather_wind_speed_opt);
		EXPECT_EQ(fixture1.weather_wind_degree_opt, fixtures[0]->weather_wind_degree_opt);
		EXPECT_EQ(fixture1.weather_coordinates_lat_opt, fixtures[0]->weather_coordinates_lat_opt);
		EXPECT_EQ(fixture1.weather_coordinates_lon_opt, fixtures[0]->weather_coordinates_lon_opt);
		EXPECT_EQ(fixture1.weather_updated_at_opt, fixtures[0]->weather_updated_at_opt);
		EXPECT_EQ(fixture1.commentaries, fixtures[0]->commentaries);
		EXPECT_EQ(fixture1.attendance_opt, fixtures[0]->attendance_opt);
		EXPECT_EQ(fixture1.pitch_opt, fixtures[0]->pitch_opt);
		EXPECT_EQ(fixture1.details_opt, fixtures[0]->details_opt);
		EXPECT_EQ(fixture1.neutral_venue, fixtures[0]->neutral_venue);
		EXPECT_EQ(fixture1.winning_odds_calculated, fixtures[0]->winning_odds_calculated);
		EXPECT_EQ(fixture1.localteam_formation_opt, fixtures[0]->localteam_formation_opt);
		EXPECT_EQ(fixture1.visitorteam_formation_opt, fixtures[0]->visitorteam_formation_opt);
		EXPECT_EQ(fixture1.localteam_score, fixtures[0]->localteam_score);
		EXPECT_EQ(fixture1.visitorteam_score, fixtures[0]->visitorteam_score);
		EXPECT_EQ(fixture1.localteam_pen_score_opt, fixtures[0]->localteam_pen_score_opt);
		EXPECT_EQ(fixture1.visitorteam_pen_score_opt, fixtures[0]->visitorteam_pen_score_opt);
		EXPECT_EQ(fixture1.ht_score_opt, fixtures[0]->ht_score_opt);
		EXPECT_EQ(fixture1.ft_score, fixtures[0]->ft_score);
		EXPECT_EQ(fixture1.et_score_opt, fixtures[0]->et_score_opt);
		EXPECT_EQ(fixture1.ps_score_opt, fixtures[0]->ps_score_opt);
		EXPECT_EQ(fixture1.status, fixtures[0]->status);
		EXPECT_EQ(fixture1.date_time, fixtures[0]->date_time);
		EXPECT_EQ(fixture1.date, fixtures[0]->date);
		EXPECT_EQ(fixture1.time, fixtures[0]->time);
		EXPECT_EQ(fixture1.timestamp, fixtures[0]->timestamp);
		EXPECT_EQ(fixture1.timezone, fixtures[0]->timezone);
		EXPECT_EQ(fixture1.minute, fixtures[0]->minute);
		EXPECT_EQ(fixture1.second_opt, fixtures[0]->second_opt);
		EXPECT_EQ(fixture1.added_time_opt, fixtures[0]->added_time_opt);
		EXPECT_EQ(fixture1.extra_minute_opt, fixtures[0]->extra_minute_opt);
		EXPECT_EQ(fixture1.injury_time_opt, fixtures[0]->injury_time_opt);
		EXPECT_EQ(fixture1.sm_localteam_coach_id_opt, fixtures[0]->sm_localteam_coach_id_opt);
		EXPECT_EQ(fixture1.sm_visitorteam_coach_id_opt, fixtures[0]->sm_visitorteam_coach_id_opt);
		EXPECT_EQ(fixture1.localteam_position_opt, fixtures[0]->localteam_position_opt);
		EXPECT_EQ(fixture1.visitorteam_position_opt, fixtures[0]->visitorteam_position_opt);
		EXPECT_EQ(fixture1.sm_first_assistant_id_opt, fixtures[0]->sm_first_assistant_id_opt);
		EXPECT_EQ(fixture1.sm_second_assistant_id_opt, fixtures[0]->sm_second_assistant_id_opt);
		EXPECT_EQ(fixture1.sm_fourth_official_id_opt, fixtures[0]->sm_fourth_official_id_opt);
		EXPECT_EQ(fixture1.leg, fixtures[0]->leg);
		EXPECT_EQ(fixture1.localteam_color_opt, fixtures[0]->localteam_color_opt);
		EXPECT_EQ(fixture1.localteam_kit_color_opt, fixtures[0]->localteam_kit_color_opt);
		EXPECT_EQ(fixture1.visitorteam_color_opt, fixtures[0]->visitorteam_color_opt);
		EXPECT_EQ(fixture1.visitorteam_kit_color_opt, fixtures[0]->visitorteam_kit_color_opt);
		EXPECT_EQ(fixture1.deleted, fixtures[0]->deleted);
		
	}
	ASSERT_NO_THROW(InsertOr(OnConflict::Ignore, db, twofixtures));
	ASSERT_EQ(2, QueryCount<Fixture>(db));
	{
		auto fixtures = QueryAll<Fixture>(db);
		EXPECT_EQ(2, fixtures.size());

		EXPECT_NE(0, fixtures[0]->id);
		EXPECT_EQ(fixture1.sm_id, fixtures[0]->sm_id);
		EXPECT_EQ(fixture1.sm_league_id, fixtures[0]->sm_league_id);
		EXPECT_EQ(fixture1.sm_season_id, fixtures[0]->sm_season_id);
		EXPECT_EQ(fixture1.sm_stage_id, fixtures[0]->sm_stage_id);
		EXPECT_EQ(fixture1.sm_round_id, fixtures[0]->sm_round_id);
		EXPECT_EQ(fixture1.sm_group_id_opt, fixtures[0]->sm_group_id_opt);
		EXPECT_EQ(fixture1.sm_aggregate_id_opt, fixtures[0]->sm_aggregate_id_opt);
		EXPECT_EQ(fixture1.sm_venue_id_opt, fixtures[0]->sm_venue_id_opt);
		EXPECT_EQ(fixture1.sm_referee_id_opt, fixtures[0]->sm_referee_id_opt);
		EXPECT_EQ(fixture1.sm_localteam_id, fixtures[0]->sm_localteam_id);
		EXPECT_EQ(fixture1.sm_visitorteam_id, fixtures[0]->sm_visitorteam_id);
		EXPECT_EQ(fixture1.sm_winner_team_id_opt, fixtures[0]->sm_winner_team_id_opt);
		EXPECT_EQ(fixture1.weather_code_opt, fixtures[0]->weather_code_opt);
		EXPECT_EQ(fixture1.weather_type_opt, fixtures[0]->weather_type_opt);
		EXPECT_EQ(fixture1.weather_icon_opt, fixtures[0]->weather_icon_opt);
		EXPECT_EQ(fixture1.weather_temp_cel_opt, fixtures[0]->weather_temp_cel_opt);
		EXPECT_EQ(fixture1.weather_temp_fah_opt, fixtures[0]->weather_temp_fah_opt);
		EXPECT_EQ(fixture1.weather_clouds_opt, fixtures[0]->weather_clouds_opt);
		EXPECT_EQ(fixture1.weather_humidity_opt, fixtures[0]->weather_humidity_opt);
		EXPECT_EQ(fixture1.weather_pressure_opt, fixtures[0]->weather_pressure_opt);
		EXPECT_EQ(fixture1.weather_wind_speed_opt, fixtures[0]->weather_wind_speed_opt);
		EXPECT_EQ(fixture1.weather_wind_degree_opt, fixtures[0]->weather_wind_degree_opt);
		EXPECT_EQ(fixture1.weather_coordinates_lat_opt, fixtures[0]->weather_coordinates_lat_opt);
		EXPECT_EQ(fixture1.weather_coordinates_lon_opt, fixtures[0]->weather_coordinates_lon_opt);
		EXPECT_EQ(fixture1.weather_updated_at_opt, fixtures[0]->weather_updated_at_opt);
		EXPECT_EQ(fixture1.commentaries, fixtures[0]->commentaries);
		EXPECT_EQ(fixture1.attendance_opt, fixtures[0]->attendance_opt);
		EXPECT_EQ(fixture1.pitch_opt, fixtures[0]->pitch_opt);
		EXPECT_EQ(fixture1.details_opt, fixtures[0]->details_opt);
		EXPECT_EQ(fixture1.neutral_venue, fixtures[0]->neutral_venue);
		EXPECT_EQ(fixture1.winning_odds_calculated, fixtures[0]->winning_odds_calculated);
		EXPECT_EQ(fixture1.localteam_formation_opt, fixtures[0]->localteam_formation_opt);
		EXPECT_EQ(fixture1.visitorteam_formation_opt, fixtures[0]->visitorteam_formation_opt);
		EXPECT_EQ(fixture1.localteam_score, fixtures[0]->localteam_score);
		EXPECT_EQ(fixture1.visitorteam_score, fixtures[0]->visitorteam_score);
		EXPECT_EQ(fixture1.localteam_pen_score_opt, fixtures[0]->localteam_pen_score_opt);
		EXPECT_EQ(fixture1.visitorteam_pen_score_opt, fixtures[0]->visitorteam_pen_score_opt);
		EXPECT_EQ(fixture1.ht_score_opt, fixtures[0]->ht_score_opt);
		EXPECT_EQ(fixture1.ft_score, fixtures[0]->ft_score);
		EXPECT_EQ(fixture1.et_score_opt, fixtures[0]->et_score_opt);
		EXPECT_EQ(fixture1.ps_score_opt, fixtures[0]->ps_score_opt);
		EXPECT_EQ(fixture1.status, fixtures[0]->status);
		EXPECT_EQ(fixture1.date_time, fixtures[0]->date_time);
		EXPECT_EQ(fixture1.date, fixtures[0]->date);
		EXPECT_EQ(fixture1.time, fixtures[0]->time);
		EXPECT_EQ(fixture1.timestamp, fixtures[0]->timestamp);
		EXPECT_EQ(fixture1.timezone, fixtures[0]->timezone);
		EXPECT_EQ(fixture1.minute, fixtures[0]->minute);
		EXPECT_EQ(fixture1.second_opt, fixtures[0]->second_opt);
		EXPECT_EQ(fixture1.added_time_opt, fixtures[0]->added_time_opt);
		EXPECT_EQ(fixture1.extra_minute_opt, fixtures[0]->extra_minute_opt);
		EXPECT_EQ(fixture1.injury_time_opt, fixtures[0]->injury_time_opt);
		EXPECT_EQ(fixture1.sm_localteam_coach_id_opt, fixtures[0]->sm_localteam_coach_id_opt);
		EXPECT_EQ(fixture1.sm_visitorteam_coach_id_opt, fixtures[0]->sm_visitorteam_coach_id_opt);
		EXPECT_EQ(fixture1.localteam_position_opt, fixtures[0]->localteam_position_opt);
		EXPECT_EQ(fixture1.visitorteam_position_opt, fixtures[0]->visitorteam_position_opt);
		EXPECT_EQ(fixture1.sm_first_assistant_id_opt, fixtures[0]->sm_first_assistant_id_opt);
		EXPECT_EQ(fixture1.sm_second_assistant_id_opt, fixtures[0]->sm_second_assistant_id_opt);
		EXPECT_EQ(fixture1.sm_fourth_official_id_opt, fixtures[0]->sm_fourth_official_id_opt);
		EXPECT_EQ(fixture1.leg, fixtures[0]->leg);
		EXPECT_EQ(fixture1.localteam_color_opt, fixtures[0]->localteam_color_opt);
		EXPECT_EQ(fixture1.localteam_kit_color_opt, fixtures[0]->localteam_kit_color_opt);
		EXPECT_EQ(fixture1.visitorteam_color_opt, fixtures[0]->visitorteam_color_opt);
		EXPECT_EQ(fixture1.visitorteam_kit_color_opt, fixtures[0]->visitorteam_kit_color_opt);
		EXPECT_EQ(fixture1.deleted, fixtures[0]->deleted);
		

		EXPECT_NE(0, fixtures[1]->id);
		EXPECT_EQ(fixture2.sm_id, fixtures[1]->sm_id);
		EXPECT_EQ(fixture2.sm_league_id, fixtures[1]->sm_league_id);
		EXPECT_EQ(fixture2.sm_season_id, fixtures[1]->sm_season_id);
		EXPECT_EQ(fixture2.sm_stage_id, fixtures[1]->sm_stage_id);
		EXPECT_EQ(fixture2.sm_round_id, fixtures[1]->sm_round_id);
		EXPECT_EQ(fixture2.sm_group_id_opt, fixtures[1]->sm_group_id_opt);
		EXPECT_EQ(fixture2.sm_aggregate_id_opt, fixtures[1]->sm_aggregate_id_opt);
		EXPECT_EQ(fixture2.sm_venue_id_opt, fixtures[1]->sm_venue_id_opt);
		EXPECT_EQ(fixture2.sm_referee_id_opt, fixtures[1]->sm_referee_id_opt);
		EXPECT_EQ(fixture2.sm_localteam_id, fixtures[1]->sm_localteam_id);
		EXPECT_EQ(fixture2.sm_visitorteam_id, fixtures[1]->sm_visitorteam_id);
		EXPECT_EQ(fixture2.sm_winner_team_id_opt, fixtures[1]->sm_winner_team_id_opt);
		EXPECT_EQ(fixture2.weather_code_opt, fixtures[1]->weather_code_opt);
		EXPECT_EQ(fixture2.weather_type_opt, fixtures[1]->weather_type_opt);
		EXPECT_EQ(fixture2.weather_icon_opt, fixtures[1]->weather_icon_opt);
		EXPECT_EQ(fixture2.weather_temp_cel_opt, fixtures[1]->weather_temp_cel_opt);
		EXPECT_EQ(fixture2.weather_temp_fah_opt, fixtures[1]->weather_temp_fah_opt);
		EXPECT_EQ(fixture2.weather_clouds_opt, fixtures[1]->weather_clouds_opt);
		EXPECT_EQ(fixture2.weather_humidity_opt, fixtures[1]->weather_humidity_opt);
		EXPECT_EQ(fixture2.weather_pressure_opt, fixtures[1]->weather_pressure_opt);
		EXPECT_EQ(fixture2.weather_wind_speed_opt, fixtures[1]->weather_wind_speed_opt);
		EXPECT_EQ(fixture2.weather_wind_degree_opt, fixtures[1]->weather_wind_degree_opt);
		EXPECT_EQ(fixture2.weather_coordinates_lat_opt, fixtures[1]->weather_coordinates_lat_opt);
		EXPECT_EQ(fixture2.weather_coordinates_lon_opt, fixtures[1]->weather_coordinates_lon_opt);
		EXPECT_EQ(fixture2.weather_updated_at_opt, fixtures[1]->weather_updated_at_opt);
		EXPECT_EQ(fixture2.commentaries, fixtures[1]->commentaries);
		EXPECT_EQ(fixture2.attendance_opt, fixtures[1]->attendance_opt);
		EXPECT_EQ(fixture2.pitch_opt, fixtures[1]->pitch_opt);
		EXPECT_EQ(fixture2.details_opt, fixtures[1]->details_opt);
		EXPECT_EQ(fixture2.neutral_venue, fixtures[1]->neutral_venue);
		EXPECT_EQ(fixture2.winning_odds_calculated, fixtures[1]->winning_odds_calculated);
		EXPECT_EQ(fixture2.localteam_formation_opt, fixtures[1]->localteam_formation_opt);
		EXPECT_EQ(fixture2.visitorteam_formation_opt, fixtures[1]->visitorteam_formation_opt);
		EXPECT_EQ(fixture2.localteam_score, fixtures[1]->localteam_score);
		EXPECT_EQ(fixture2.visitorteam_score, fixtures[1]->visitorteam_score);
		EXPECT_EQ(fixture2.localteam_pen_score_opt, fixtures[1]->localteam_pen_score_opt);
		EXPECT_EQ(fixture2.visitorteam_pen_score_opt, fixtures[1]->visitorteam_pen_score_opt);
		EXPECT_EQ(fixture2.ht_score_opt, fixtures[1]->ht_score_opt);
		EXPECT_EQ(fixture2.ft_score, fixtures[1]->ft_score);
		EXPECT_EQ(fixture2.et_score_opt, fixtures[1]->et_score_opt);
		EXPECT_EQ(fixture2.ps_score_opt, fixtures[1]->ps_score_opt);
		EXPECT_EQ(fixture2.status, fixtures[1]->status);
		EXPECT_EQ(fixture2.date_time, fixtures[1]->date_time);
		EXPECT_EQ(fixture2.date, fixtures[1]->date);
		EXPECT_EQ(fixture2.time, fixtures[1]->time);
		EXPECT_EQ(fixture2.timestamp, fixtures[1]->timestamp);
		EXPECT_EQ(fixture2.timezone, fixtures[1]->timezone);
		EXPECT_EQ(fixture2.minute, fixtures[1]->minute);
		EXPECT_EQ(fixture2.second_opt, fixtures[1]->second_opt);
		EXPECT_EQ(fixture2.added_time_opt, fixtures[1]->added_time_opt);
		EXPECT_EQ(fixture2.extra_minute_opt, fixtures[1]->extra_minute_opt);
		EXPECT_EQ(fixture2.injury_time_opt, fixtures[1]->injury_time_opt);
		EXPECT_EQ(fixture2.sm_localteam_coach_id_opt, fixtures[1]->sm_localteam_coach_id_opt);
		EXPECT_EQ(fixture2.sm_visitorteam_coach_id_opt, fixtures[1]->sm_visitorteam_coach_id_opt);
		EXPECT_EQ(fixture2.localteam_position_opt, fixtures[1]->localteam_position_opt);
		EXPECT_EQ(fixture2.visitorteam_position_opt, fixtures[1]->visitorteam_position_opt);
		EXPECT_EQ(fixture2.sm_first_assistant_id_opt, fixtures[1]->sm_first_assistant_id_opt);
		EXPECT_EQ(fixture2.sm_second_assistant_id_opt, fixtures[1]->sm_second_assistant_id_opt);
		EXPECT_EQ(fixture2.sm_fourth_official_id_opt, fixtures[1]->sm_fourth_official_id_opt);
		EXPECT_EQ(fixture2.leg, fixtures[1]->leg);
		EXPECT_EQ(fixture2.localteam_color_opt, fixtures[1]->localteam_color_opt);
		EXPECT_EQ(fixture2.localteam_kit_color_opt, fixtures[1]->localteam_kit_color_opt);
		EXPECT_EQ(fixture2.visitorteam_color_opt, fixtures[1]->visitorteam_color_opt);
		EXPECT_EQ(fixture2.visitorteam_kit_color_opt, fixtures[1]->visitorteam_kit_color_opt);
		EXPECT_EQ(fixture2.deleted, fixtures[1]->deleted);
		
	}
	ASSERT_NO_THROW(InsertOr(OnConflict::Ignore, db, threefixtures));
	ASSERT_EQ(3, QueryCount<Fixture>(db));
	{
		auto fixtures = QueryAll<Fixture>(db);
		EXPECT_EQ(3, fixtures.size());

		EXPECT_NE(0, fixtures[0]->id);
		EXPECT_EQ(fixture1.sm_id, fixtures[0]->sm_id);
		EXPECT_EQ(fixture1.sm_league_id, fixtures[0]->sm_league_id);
		EXPECT_EQ(fixture1.sm_season_id, fixtures[0]->sm_season_id);
		EXPECT_EQ(fixture1.sm_stage_id, fixtures[0]->sm_stage_id);
		EXPECT_EQ(fixture1.sm_round_id, fixtures[0]->sm_round_id);
		EXPECT_EQ(fixture1.sm_group_id_opt, fixtures[0]->sm_group_id_opt);
		EXPECT_EQ(fixture1.sm_aggregate_id_opt, fixtures[0]->sm_aggregate_id_opt);
		EXPECT_EQ(fixture1.sm_venue_id_opt, fixtures[0]->sm_venue_id_opt);
		EXPECT_EQ(fixture1.sm_referee_id_opt, fixtures[0]->sm_referee_id_opt);
		EXPECT_EQ(fixture1.sm_localteam_id, fixtures[0]->sm_localteam_id);
		EXPECT_EQ(fixture1.sm_visitorteam_id, fixtures[0]->sm_visitorteam_id);
		EXPECT_EQ(fixture1.sm_winner_team_id_opt, fixtures[0]->sm_winner_team_id_opt);
		EXPECT_EQ(fixture1.weather_code_opt, fixtures[0]->weather_code_opt);
		EXPECT_EQ(fixture1.weather_type_opt, fixtures[0]->weather_type_opt);
		EXPECT_EQ(fixture1.weather_icon_opt, fixtures[0]->weather_icon_opt);
		EXPECT_EQ(fixture1.weather_temp_cel_opt, fixtures[0]->weather_temp_cel_opt);
		EXPECT_EQ(fixture1.weather_temp_fah_opt, fixtures[0]->weather_temp_fah_opt);
		EXPECT_EQ(fixture1.weather_clouds_opt, fixtures[0]->weather_clouds_opt);
		EXPECT_EQ(fixture1.weather_humidity_opt, fixtures[0]->weather_humidity_opt);
		EXPECT_EQ(fixture1.weather_pressure_opt, fixtures[0]->weather_pressure_opt);
		EXPECT_EQ(fixture1.weather_wind_speed_opt, fixtures[0]->weather_wind_speed_opt);
		EXPECT_EQ(fixture1.weather_wind_degree_opt, fixtures[0]->weather_wind_degree_opt);
		EXPECT_EQ(fixture1.weather_coordinates_lat_opt, fixtures[0]->weather_coordinates_lat_opt);
		EXPECT_EQ(fixture1.weather_coordinates_lon_opt, fixtures[0]->weather_coordinates_lon_opt);
		EXPECT_EQ(fixture1.weather_updated_at_opt, fixtures[0]->weather_updated_at_opt);
		EXPECT_EQ(fixture1.commentaries, fixtures[0]->commentaries);
		EXPECT_EQ(fixture1.attendance_opt, fixtures[0]->attendance_opt);
		EXPECT_EQ(fixture1.pitch_opt, fixtures[0]->pitch_opt);
		EXPECT_EQ(fixture1.details_opt, fixtures[0]->details_opt);
		EXPECT_EQ(fixture1.neutral_venue, fixtures[0]->neutral_venue);
		EXPECT_EQ(fixture1.winning_odds_calculated, fixtures[0]->winning_odds_calculated);
		EXPECT_EQ(fixture1.localteam_formation_opt, fixtures[0]->localteam_formation_opt);
		EXPECT_EQ(fixture1.visitorteam_formation_opt, fixtures[0]->visitorteam_formation_opt);
		EXPECT_EQ(fixture1.localteam_score, fixtures[0]->localteam_score);
		EXPECT_EQ(fixture1.visitorteam_score, fixtures[0]->visitorteam_score);
		EXPECT_EQ(fixture1.localteam_pen_score_opt, fixtures[0]->localteam_pen_score_opt);
		EXPECT_EQ(fixture1.visitorteam_pen_score_opt, fixtures[0]->visitorteam_pen_score_opt);
		EXPECT_EQ(fixture1.ht_score_opt, fixtures[0]->ht_score_opt);
		EXPECT_EQ(fixture1.ft_score, fixtures[0]->ft_score);
		EXPECT_EQ(fixture1.et_score_opt, fixtures[0]->et_score_opt);
		EXPECT_EQ(fixture1.ps_score_opt, fixtures[0]->ps_score_opt);
		EXPECT_EQ(fixture1.status, fixtures[0]->status);
		EXPECT_EQ(fixture1.date_time, fixtures[0]->date_time);
		EXPECT_EQ(fixture1.date, fixtures[0]->date);
		EXPECT_EQ(fixture1.time, fixtures[0]->time);
		EXPECT_EQ(fixture1.timestamp, fixtures[0]->timestamp);
		EXPECT_EQ(fixture1.timezone, fixtures[0]->timezone);
		EXPECT_EQ(fixture1.minute, fixtures[0]->minute);
		EXPECT_EQ(fixture1.second_opt, fixtures[0]->second_opt);
		EXPECT_EQ(fixture1.added_time_opt, fixtures[0]->added_time_opt);
		EXPECT_EQ(fixture1.extra_minute_opt, fixtures[0]->extra_minute_opt);
		EXPECT_EQ(fixture1.injury_time_opt, fixtures[0]->injury_time_opt);
		EXPECT_EQ(fixture1.sm_localteam_coach_id_opt, fixtures[0]->sm_localteam_coach_id_opt);
		EXPECT_EQ(fixture1.sm_visitorteam_coach_id_opt, fixtures[0]->sm_visitorteam_coach_id_opt);
		EXPECT_EQ(fixture1.localteam_position_opt, fixtures[0]->localteam_position_opt);
		EXPECT_EQ(fixture1.visitorteam_position_opt, fixtures[0]->visitorteam_position_opt);
		EXPECT_EQ(fixture1.sm_first_assistant_id_opt, fixtures[0]->sm_first_assistant_id_opt);
		EXPECT_EQ(fixture1.sm_second_assistant_id_opt, fixtures[0]->sm_second_assistant_id_opt);
		EXPECT_EQ(fixture1.sm_fourth_official_id_opt, fixtures[0]->sm_fourth_official_id_opt);
		EXPECT_EQ(fixture1.leg, fixtures[0]->leg);
		EXPECT_EQ(fixture1.localteam_color_opt, fixtures[0]->localteam_color_opt);
		EXPECT_EQ(fixture1.localteam_kit_color_opt, fixtures[0]->localteam_kit_color_opt);
		EXPECT_EQ(fixture1.visitorteam_color_opt, fixtures[0]->visitorteam_color_opt);
		EXPECT_EQ(fixture1.visitorteam_kit_color_opt, fixtures[0]->visitorteam_kit_color_opt);
		EXPECT_EQ(fixture1.deleted, fixtures[0]->deleted);
		

		EXPECT_NE(0, fixtures[1]->id);
		EXPECT_EQ(fixture2.sm_id, fixtures[1]->sm_id);
		EXPECT_EQ(fixture2.sm_league_id, fixtures[1]->sm_league_id);
		EXPECT_EQ(fixture2.sm_season_id, fixtures[1]->sm_season_id);
		EXPECT_EQ(fixture2.sm_stage_id, fixtures[1]->sm_stage_id);
		EXPECT_EQ(fixture2.sm_round_id, fixtures[1]->sm_round_id);
		EXPECT_EQ(fixture2.sm_group_id_opt, fixtures[1]->sm_group_id_opt);
		EXPECT_EQ(fixture2.sm_aggregate_id_opt, fixtures[1]->sm_aggregate_id_opt);
		EXPECT_EQ(fixture2.sm_venue_id_opt, fixtures[1]->sm_venue_id_opt);
		EXPECT_EQ(fixture2.sm_referee_id_opt, fixtures[1]->sm_referee_id_opt);
		EXPECT_EQ(fixture2.sm_localteam_id, fixtures[1]->sm_localteam_id);
		EXPECT_EQ(fixture2.sm_visitorteam_id, fixtures[1]->sm_visitorteam_id);
		EXPECT_EQ(fixture2.sm_winner_team_id_opt, fixtures[1]->sm_winner_team_id_opt);
		EXPECT_EQ(fixture2.weather_code_opt, fixtures[1]->weather_code_opt);
		EXPECT_EQ(fixture2.weather_type_opt, fixtures[1]->weather_type_opt);
		EXPECT_EQ(fixture2.weather_icon_opt, fixtures[1]->weather_icon_opt);
		EXPECT_EQ(fixture2.weather_temp_cel_opt, fixtures[1]->weather_temp_cel_opt);
		EXPECT_EQ(fixture2.weather_temp_fah_opt, fixtures[1]->weather_temp_fah_opt);
		EXPECT_EQ(fixture2.weather_clouds_opt, fixtures[1]->weather_clouds_opt);
		EXPECT_EQ(fixture2.weather_humidity_opt, fixtures[1]->weather_humidity_opt);
		EXPECT_EQ(fixture2.weather_pressure_opt, fixtures[1]->weather_pressure_opt);
		EXPECT_EQ(fixture2.weather_wind_speed_opt, fixtures[1]->weather_wind_speed_opt);
		EXPECT_EQ(fixture2.weather_wind_degree_opt, fixtures[1]->weather_wind_degree_opt);
		EXPECT_EQ(fixture2.weather_coordinates_lat_opt, fixtures[1]->weather_coordinates_lat_opt);
		EXPECT_EQ(fixture2.weather_coordinates_lon_opt, fixtures[1]->weather_coordinates_lon_opt);
		EXPECT_EQ(fixture2.weather_updated_at_opt, fixtures[1]->weather_updated_at_opt);
		EXPECT_EQ(fixture2.commentaries, fixtures[1]->commentaries);
		EXPECT_EQ(fixture2.attendance_opt, fixtures[1]->attendance_opt);
		EXPECT_EQ(fixture2.pitch_opt, fixtures[1]->pitch_opt);
		EXPECT_EQ(fixture2.details_opt, fixtures[1]->details_opt);
		EXPECT_EQ(fixture2.neutral_venue, fixtures[1]->neutral_venue);
		EXPECT_EQ(fixture2.winning_odds_calculated, fixtures[1]->winning_odds_calculated);
		EXPECT_EQ(fixture2.localteam_formation_opt, fixtures[1]->localteam_formation_opt);
		EXPECT_EQ(fixture2.visitorteam_formation_opt, fixtures[1]->visitorteam_formation_opt);
		EXPECT_EQ(fixture2.localteam_score, fixtures[1]->localteam_score);
		EXPECT_EQ(fixture2.visitorteam_score, fixtures[1]->visitorteam_score);
		EXPECT_EQ(fixture2.localteam_pen_score_opt, fixtures[1]->localteam_pen_score_opt);
		EXPECT_EQ(fixture2.visitorteam_pen_score_opt, fixtures[1]->visitorteam_pen_score_opt);
		EXPECT_EQ(fixture2.ht_score_opt, fixtures[1]->ht_score_opt);
		EXPECT_EQ(fixture2.ft_score, fixtures[1]->ft_score);
		EXPECT_EQ(fixture2.et_score_opt, fixtures[1]->et_score_opt);
		EXPECT_EQ(fixture2.ps_score_opt, fixtures[1]->ps_score_opt);
		EXPECT_EQ(fixture2.status, fixtures[1]->status);
		EXPECT_EQ(fixture2.date_time, fixtures[1]->date_time);
		EXPECT_EQ(fixture2.date, fixtures[1]->date);
		EXPECT_EQ(fixture2.time, fixtures[1]->time);
		EXPECT_EQ(fixture2.timestamp, fixtures[1]->timestamp);
		EXPECT_EQ(fixture2.timezone, fixtures[1]->timezone);
		EXPECT_EQ(fixture2.minute, fixtures[1]->minute);
		EXPECT_EQ(fixture2.second_opt, fixtures[1]->second_opt);
		EXPECT_EQ(fixture2.added_time_opt, fixtures[1]->added_time_opt);
		EXPECT_EQ(fixture2.extra_minute_opt, fixtures[1]->extra_minute_opt);
		EXPECT_EQ(fixture2.injury_time_opt, fixtures[1]->injury_time_opt);
		EXPECT_EQ(fixture2.sm_localteam_coach_id_opt, fixtures[1]->sm_localteam_coach_id_opt);
		EXPECT_EQ(fixture2.sm_visitorteam_coach_id_opt, fixtures[1]->sm_visitorteam_coach_id_opt);
		EXPECT_EQ(fixture2.localteam_position_opt, fixtures[1]->localteam_position_opt);
		EXPECT_EQ(fixture2.visitorteam_position_opt, fixtures[1]->visitorteam_position_opt);
		EXPECT_EQ(fixture2.sm_first_assistant_id_opt, fixtures[1]->sm_first_assistant_id_opt);
		EXPECT_EQ(fixture2.sm_second_assistant_id_opt, fixtures[1]->sm_second_assistant_id_opt);
		EXPECT_EQ(fixture2.sm_fourth_official_id_opt, fixtures[1]->sm_fourth_official_id_opt);
		EXPECT_EQ(fixture2.leg, fixtures[1]->leg);
		EXPECT_EQ(fixture2.localteam_color_opt, fixtures[1]->localteam_color_opt);
		EXPECT_EQ(fixture2.localteam_kit_color_opt, fixtures[1]->localteam_kit_color_opt);
		EXPECT_EQ(fixture2.visitorteam_color_opt, fixtures[1]->visitorteam_color_opt);
		EXPECT_EQ(fixture2.visitorteam_kit_color_opt, fixtures[1]->visitorteam_kit_color_opt);
		EXPECT_EQ(fixture2.deleted, fixtures[1]->deleted);
		

		EXPECT_NE(0, fixtures[2]->id);
		EXPECT_EQ(fixture3.sm_id, fixtures[2]->sm_id);
		EXPECT_EQ(fixture3.sm_league_id, fixtures[2]->sm_league_id);
		EXPECT_EQ(fixture3.sm_season_id, fixtures[2]->sm_season_id);
		EXPECT_EQ(fixture3.sm_stage_id, fixtures[2]->sm_stage_id);
		EXPECT_EQ(fixture3.sm_round_id, fixtures[2]->sm_round_id);
		EXPECT_EQ(fixture3.sm_group_id_opt, fixtures[2]->sm_group_id_opt);
		EXPECT_EQ(fixture3.sm_aggregate_id_opt, fixtures[2]->sm_aggregate_id_opt);
		EXPECT_EQ(fixture3.sm_venue_id_opt, fixtures[2]->sm_venue_id_opt);
		EXPECT_EQ(fixture3.sm_referee_id_opt, fixtures[2]->sm_referee_id_opt);
		EXPECT_EQ(fixture3.sm_localteam_id, fixtures[2]->sm_localteam_id);
		EXPECT_EQ(fixture3.sm_visitorteam_id, fixtures[2]->sm_visitorteam_id);
		EXPECT_EQ(fixture3.sm_winner_team_id_opt, fixtures[2]->sm_winner_team_id_opt);
		EXPECT_EQ(fixture3.weather_code_opt, fixtures[2]->weather_code_opt);
		EXPECT_EQ(fixture3.weather_type_opt, fixtures[2]->weather_type_opt);
		EXPECT_EQ(fixture3.weather_icon_opt, fixtures[2]->weather_icon_opt);
		EXPECT_EQ(fixture3.weather_temp_cel_opt, fixtures[2]->weather_temp_cel_opt);
		EXPECT_EQ(fixture3.weather_temp_fah_opt, fixtures[2]->weather_temp_fah_opt);
		EXPECT_EQ(fixture3.weather_clouds_opt, fixtures[2]->weather_clouds_opt);
		EXPECT_EQ(fixture3.weather_humidity_opt, fixtures[2]->weather_humidity_opt);
		EXPECT_EQ(fixture3.weather_pressure_opt, fixtures[2]->weather_pressure_opt);
		EXPECT_EQ(fixture3.weather_wind_speed_opt, fixtures[2]->weather_wind_speed_opt);
		EXPECT_EQ(fixture3.weather_wind_degree_opt, fixtures[2]->weather_wind_degree_opt);
		EXPECT_EQ(fixture3.weather_coordinates_lat_opt, fixtures[2]->weather_coordinates_lat_opt);
		EXPECT_EQ(fixture3.weather_coordinates_lon_opt, fixtures[2]->weather_coordinates_lon_opt);
		EXPECT_EQ(fixture3.weather_updated_at_opt, fixtures[2]->weather_updated_at_opt);
		EXPECT_EQ(fixture3.commentaries, fixtures[2]->commentaries);
		EXPECT_EQ(fixture3.attendance_opt, fixtures[2]->attendance_opt);
		EXPECT_EQ(fixture3.pitch_opt, fixtures[2]->pitch_opt);
		EXPECT_EQ(fixture3.details_opt, fixtures[2]->details_opt);
		EXPECT_EQ(fixture3.neutral_venue, fixtures[2]->neutral_venue);
		EXPECT_EQ(fixture3.winning_odds_calculated, fixtures[2]->winning_odds_calculated);
		EXPECT_EQ(fixture3.localteam_formation_opt, fixtures[2]->localteam_formation_opt);
		EXPECT_EQ(fixture3.visitorteam_formation_opt, fixtures[2]->visitorteam_formation_opt);
		EXPECT_EQ(fixture3.localteam_score, fixtures[2]->localteam_score);
		EXPECT_EQ(fixture3.visitorteam_score, fixtures[2]->visitorteam_score);
		EXPECT_EQ(fixture3.localteam_pen_score_opt, fixtures[2]->localteam_pen_score_opt);
		EXPECT_EQ(fixture3.visitorteam_pen_score_opt, fixtures[2]->visitorteam_pen_score_opt);
		EXPECT_EQ(fixture3.ht_score_opt, fixtures[2]->ht_score_opt);
		EXPECT_EQ(fixture3.ft_score, fixtures[2]->ft_score);
		EXPECT_EQ(fixture3.et_score_opt, fixtures[2]->et_score_opt);
		EXPECT_EQ(fixture3.ps_score_opt, fixtures[2]->ps_score_opt);
		EXPECT_EQ(fixture3.status, fixtures[2]->status);
		EXPECT_EQ(fixture3.date_time, fixtures[2]->date_time);
		EXPECT_EQ(fixture3.date, fixtures[2]->date);
		EXPECT_EQ(fixture3.time, fixtures[2]->time);
		EXPECT_EQ(fixture3.timestamp, fixtures[2]->timestamp);
		EXPECT_EQ(fixture3.timezone, fixtures[2]->timezone);
		EXPECT_EQ(fixture3.minute, fixtures[2]->minute);
		EXPECT_EQ(fixture3.second_opt, fixtures[2]->second_opt);
		EXPECT_EQ(fixture3.added_time_opt, fixtures[2]->added_time_opt);
		EXPECT_EQ(fixture3.extra_minute_opt, fixtures[2]->extra_minute_opt);
		EXPECT_EQ(fixture3.injury_time_opt, fixtures[2]->injury_time_opt);
		EXPECT_EQ(fixture3.sm_localteam_coach_id_opt, fixtures[2]->sm_localteam_coach_id_opt);
		EXPECT_EQ(fixture3.sm_visitorteam_coach_id_opt, fixtures[2]->sm_visitorteam_coach_id_opt);
		EXPECT_EQ(fixture3.localteam_position_opt, fixtures[2]->localteam_position_opt);
		EXPECT_EQ(fixture3.visitorteam_position_opt, fixtures[2]->visitorteam_position_opt);
		EXPECT_EQ(fixture3.sm_first_assistant_id_opt, fixtures[2]->sm_first_assistant_id_opt);
		EXPECT_EQ(fixture3.sm_second_assistant_id_opt, fixtures[2]->sm_second_assistant_id_opt);
		EXPECT_EQ(fixture3.sm_fourth_official_id_opt, fixtures[2]->sm_fourth_official_id_opt);
		EXPECT_EQ(fixture3.leg, fixtures[2]->leg);
		EXPECT_EQ(fixture3.localteam_color_opt, fixtures[2]->localteam_color_opt);
		EXPECT_EQ(fixture3.localteam_kit_color_opt, fixtures[2]->localteam_kit_color_opt);
		EXPECT_EQ(fixture3.visitorteam_color_opt, fixtures[2]->visitorteam_color_opt);
		EXPECT_EQ(fixture3.visitorteam_kit_color_opt, fixtures[2]->visitorteam_kit_color_opt);
		EXPECT_EQ(fixture3.deleted, fixtures[2]->deleted);
		
	}
}